libidn: pr29.c File Reference

libidn 1.41

Data Structures | Functions
pr29.c File Reference
`#include <config.h>`
`#include "pr29.h"`
`#include <stringprep.h>`

Go to the source code of this file.

## Data Structures
struct | Pr29

## Functions
int | pr29_4 (const uint32_t *in, size_t len)
int | pr29_4z (const uint32_t *in)
int | pr29_8z (const char *in)

## Function Documentation

## ◆ pr29_4()

int pr29_4 | ( | const uint32_t * | in,
|  | size_t | len
| ) |  |

pr29_4:

Parameters

  in | input array with unicode code points.
  len | length of input array with unicode code points.

Check the input to see if it may be normalized into different strings by different NFKC implementations, due to an anomaly in the NFKC specifications.

Return value: Returns the Pr29_rc value PR29_SUCCESS on success, and PR29_PROBLEM if the input sequence is a "problem sequence" (i.e., may be normalized into different strings by different implementations).

Definition at line 1247 of file pr29.c.

## ◆ pr29_4z()

int pr29_4z | ( | const uint32_t * | in | ) |

pr29_4z:

Parameters

  in | zero terminated array of Unicode code points.

Check the input to see if it may be normalized into different strings by different NFKC implementations, due to an anomaly in the NFKC specifications.

Return value: Returns the Pr29_rc value PR29_SUCCESS on success, and PR29_PROBLEM if the input sequence is a "problem sequence" (i.e., may be normalized into different strings by different implementations).

Definition at line 1288 of file pr29.c.

## ◆ pr29_8z()

int pr29_8z | ( | const char * | in | ) |

pr29_8z:

Parameters

  in | zero terminated input UTF-8 string.

Check the input to see if it may be normalized into different strings by different NFKC implementations, due to an anomaly in the NFKC specifications.

Return value: Returns the Pr29_rc value PR29_SUCCESS on success, and PR29_PROBLEM if the input sequence is a "problem sequence" (i.e., may be normalized into different strings by different implementations), or PR29_STRINGPREP_ERROR if there was a problem converting the string from UTF-8 to UCS-4.

Definition at line 1313 of file pr29.c.